.TH xbrowser 1
.SH NAME

XBrowser 2.0 \- LUCS Archive Graphical Interface

.SH DESCRIPTION
XBrowser is a graphical user interface for the HP-UX archive at the University of Liverpool and its partner sites. XBrowser allows you to easily navigate through the packages and documentation available on the archive. You can search using keywords, read documentation, view screen shots, see data files, and much more.

XBrowser has been built around the existing structure of the archive.  The catalogue descriptions, one line package descriptions, and the organisation of directories all feature in the browser. The browser uses the DATABASE files in each core directory on the archive.

To start the browser, type, "xbrowser", with possible toolkit options.  Before the main window is displayed the browser checks to see if it is using an up to date protocol and retrieves the message of the day and a listing of directories. Therefore, it may take a while to startup. If it is not using an up to date protocol you will be asked if you would like to transfer the latest version of the program. If you answer yes then a non-protocol transfer takes place and at the end you should have a tar.Z archive of the new program. Unpack it and install it!

.SH MENUS

.SH "XBrowser Menu"

  Tar Browser... -   XTar 1.3 is built into XBrowser.

  Image Viewer.. -   The image viewer used to display screen
                     shots from within HTML documents. The
                     initial image is of the Liverpool University
                     crest. Images can be saved in GIF format.

  Feedback...    -   Displays the feedback mechanism so that you can
                     give us your thoughts.

  Mailing List...-   (Un)Subscribe to new packages mailing list

  MOTD           -   Redisplay the message of the day.

  View Package   -   Display a package/document after it has been
                     transferred.

  Show Help      -   Toggle help message.

  Quit           -   Exits the browser.

.SH "View Menu"

  Alphabetic    -    Order packages alphabetically.
  Date          -    Order packages by date installed.

  Reverse       -    Reverse the current listing style.

  Show Date     -    Display the date packages were installed.

  Filter	-    Submenu to filter the currently listing.

.SH "Help Menu"

  About...      -    Tells you about the author, version and 
                     copyright.

  On Xbrowser...-    Displays the help files in HTML

.SH "Site Menu"

The site menu lets you switch between the master Liverpool site and the official partner sites. Data should be consistent between the sites, so switching between them should be transparent.

.SH "Soft&Net Menu"

The Soft&Net menu introduces you to Soft&Net - how it works, how to become a developer, how to become a customer. It has the following options:

  About Soft&Net...   - A short introduction to Soft&net.

  Selling Software... - How Soft&Net can help to sell your software.

  Buying Software..   - How Soft&Net works and how to buy software.

  Prosuct Brochures.. - Brochures are Soft&Net's way of showing off the
                        product to customers. This options presents an
                        overview of the structure of brochures and
                        includes example products.
 
  Contact Soft&Net... - Send an email to Soft&Net to inform us of
                        packages you would like to sell.
 
.SH "DIRECTORY LIST"
When the interface is initialised a listing of the directories is retrieved from the server and cached. Double click on a directory to transfer the list of packages.

.SH "PACKAGE LIST"
Packages are displayed in the list one line per package. Each package has a name and version number and a short description. You may also choose to display the date of the packages using the View menu.  When you highlight a package, various icons are activated and the package options are displayed inside the options list.


.SH "OPTIONS LIST"
The option list displays the available formats of the selected package. Select
a package and the transfer icon to download the file.

.SH "DATA TRANSFER"
The progress bar and information is displayed during all data transfers  - you can abort any of them, with the STOP icon.

.SH "FEEDBACK"
Please complete this with your comments and suggestions about xbrowser. Also we would like your thoughts on the archive itself - what's wrong with it? how can we improve it? ..etc

XBrowser attempts to guess your real name and email address, if these are incorrect then please enter the correct values - so we know who you are and how to contact you. The "Send" button will email your details and comments to us; "Close" allows you to change your mind!

.SH "MAILING LIST"
This menu option allows you to add and delete yourself from the archive new packages mailing list. Each day, week and month an email is sent to the mailing list members detailing the latest packages on the archive. When subscribing choose either "Daily", "Weekly" or "Monthly" by toggling one of the buttons. If you have subscribed daily and wish to change, to weekly for example, then just re-subscribe with the same email address with another selection and you will be moved. To unsubscribe completely use the "Unsubscribe.." option and type in the same address as you did when subscribing.

When (un)subscribing to the mailing list you will receive a reply from the archive mail server giving you a report and whether it succeeded.

.SH AUTHOR

Rik Turnbull,
University of Liverpool
<rik@csc.liv.ac.uk>

GIF Code is Copyright (c) 1988, 1989 by Patrick J. Naughton
